## dpkg-repack 1.47

=== debian/changelog ===
dpkg-repack (1.47) unstable; urgency=medium

  * Switch to Standard-Version 4.5.1 (no changed needed).
  * Switch to debhelper compatibility level 13.
  * Switch to the dh sequencer.
  * Run the autopkgtest from within the autopkgtest temporary directory.
  * Use AUTOPKGTEST_TMP instead of deprecated ADTTMP.
  * Do not make missing conffiles a fatal error. Closes: #947951
  * When catching errors during package processing, print them.

 -- Guillem Jover <guillem@debian.org>  Fri, 25 Dec 2020 14:07:59 +0100

=== debian/control ===
Source: dpkg-repack
Section: admin
Priority: optional
Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
Uploaders: Guillem Jover <guillem@debian.org>
Standards-Version: 4.5.1
Vcs-Browser: https://git.dpkg.org/cgit/dpkg/dpkg-repack.git
Vcs-Git: https://git.dpkg.org/git/dpkg/dpkg-repack.git
Homepage: https://wiki.debian.org/Teams/Dpkg
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 libtest-strict-perl <!nocheck>,

Package: dpkg-repack
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${perl:Depends},
 libdpkg-perl,
Suggests:
 fakeroot,
Description: Debian package archiving tool
 dpkg-repack creates a .deb file out of a package that has already been
 installed. If any changes have been made to the package while it was
 unpacked (i.e. files in /etc were modified), the new package will inherit
 the changes.
 .
 This utility can make it easy to copy packages from one computer to another,
 or to recreate packages that are installed on your system, but no longer
 available elsewhere, or to store the current state of a package before you
 upgrade it.

## dpkg-repack 1.48

=== debian/changelog ===
dpkg-repack (1.48) unstable; urgency=medium

  * Fix and call cmp_listfile in autopkgtest.
  * Fix typo for Standards-Version field name in debian/changelog.
  * Switch to Standards-Version 4.6.0 (no changed needed).
  * Use builtin chown instead of invoking the command.
  * Add support for remove-on-upgrade conffile flag. Closes: #996791
  * Update copyright years.
  * Improve markup and formatting in man page.

 -- Guillem Jover <guillem@debian.org>  Tue, 19 Oct 2021 03:23:31 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
 Uploaders: Guillem Jover <guillem@debian.org>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://git.dpkg.org/cgit/dpkg/dpkg-repack.git
 Vcs-Git: https://git.dpkg.org/git/dpkg/dpkg-repack.git
 Homepage: https://wiki.debian.org/Teams/Dpkg

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

MANDATE := $(shell TZ=UTC0 LC_ALL=C date --date='@$(SOURCE_DATE_EPOCH)' '+%F')

%:
	dh $@

execute_before_dh_auto_build-indep: dpkg-repack.1

dpkg-repack.1: dpkg-repack.pod
	pod2man \
	  --section 1 \
	  --center='dpkg suite' \
	  --date='$(MANDATE)' \
	  --release='$(DEB_VERSION)' \
	  $< $@

override_dh_auto_test:
	prove

## dpkg-repack 1.50

=== Makefile ===
# Copyright © 2022 Guillem Jover <guillem@debian.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

DEB_VERSION ?= $(shell dpkg-parsechangelog -SVersion)
SOURCE_DATE_EPOCH ?= $(shell dpkg-parsechangelog -STimestamp)
MAN_DATE := $(shell TZ=UTC0 LC_ALL=C date --date='@$(SOURCE_DATE_EPOCH)' '+%F')

INSTALL = install
SED = sed
CHMOD = chmod
POD2MAN = pod2man
PROVE = prove

all: build

%.1: %.pod
	$(POD2MAN) \
	  --section 1 \
	  --center='dpkg suite' \
	  --date='$(MAN_DATE)' \
	  --release='$(DEB_VERSION)' \
	  $< $@

%: %.pl
	$(SED) \
	  -e "s:my \$$VERSION = .*;:my \$$VERSION = '$(DEB_VERSION)';:" \
	  <$< >$@
	$(CHMOD) +x $@

build: dpkg-repack dpkg-repack.1

install: build
	$(INSTALL) -d $(DESTDIR)/usr/bin
	$(INSTALL) dpkg-repack $(DESTDIR)/usr/bin
	$(INSTALL) -d $(DESTDIR)/usr/share/man/man1
	$(INSTALL) dpkg-repack.1 $(DESTDIR)/usr/share/man/man1

test:
	$(PROVE)

dist:
	git archive \
	  --prefix=dpkg-repack-$(DEB_VERSION)/ \
	  --output=dpkg-repack-$(DEB_VERSION).tar.xz \
	  $(DEB_VERSION)

clean:
	$(RM) dpkg-repack dpkg-repack.1

=== debian/changelog ===
dpkg-repack (1.50) unstable; urgency=medium

  * Packaging:
    - Replace experimental usage of «/» in build profile. Closes: #1003814
    - Add missing «pkg.» namespace for local build profile.

 -- Guillem Jover <guillem@debian.org>  Sun, 16 Jan 2022 12:31:45 +0100

dpkg-repack (1.49) unstable; urgency=medium

  * Switch to use dpkg-query with its new --root support.
  * Build system:
    - Add a new gitlab-ci.yml file.
    - Move build system from debian/rules to an actual Makefile.
    - Replace the program version at install time.
  * Packaging:
    - Add author test dependencies under a build-profile.

 -- Guillem Jover <guillem@debian.org>  Sat, 15 Jan 2022 22:24:49 +0100

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  libtest-strict-perl <!nocheck>,
+ libtest-perl-critic-perl <pkg.dpkg-repack.author-tests>,
 
 Package: dpkg-repack
 Architecture: all
@@ -18,6 +19,8 @@
 Depends:
  ${misc:Depends},
  ${perl:Depends},
+# Needed for dpkg-query --root support.
+ dpkg (>= 1.21.0),
  libdpkg-perl,
 Suggests:
  fakeroot,

## dpkg-repack 1.51

=== debian/changelog ===
dpkg-repack (1.51) unstable; urgency=medium

  * Show the command to rebuild the .deb in more places.
    Thanks to Paul Wise <pabs@debian.org>. Closes: #1020320
  * Documentation:
    - Refer to the main git repository as primary.
    - Switch URLs from http:// to https://.
    - Use a single clone and browsing URL for the source tree.
    - Use deb.debian.org instead of ftp.debian.org for source archive.
  * Build system:
    - Fix build-profile in gitlab-ci.yml file.

 -- Guillem Jover <guillem@debian.org>  Tue, 04 Oct 2022 03:54:04 +0200

## dpkg-repack 1.52

=== debian/changelog ===
dpkg-repack (1.52) unstable; urgency=medium

  * Documentation:
    - Clarify description in README.
    - Update copyright years.
  * Code internals:
    - Add missing semicolon after statement.
  * Packaging:
    - Switch to Standards-Version 4.6.2 (no changed needed).
    - Do not trim debian/changelog.

 -- Guillem Jover <guillem@debian.org>  Sat, 07 Jan 2023 23:40:57 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
 Uploaders: Guillem Jover <guillem@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://git.dpkg.org/cgit/dpkg/dpkg-repack.git
 Vcs-Git: https://git.dpkg.org/git/dpkg/dpkg-repack.git
 Homepage: https://wiki.debian.org/Teams/Dpkg
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
+ debhelper (>= 13.10),
  libtest-strict-perl <!nocheck>,
  libtest-perl-critic-perl <pkg.dpkg-repack.author-tests>,

## dpkg-repack 1.54

=== Makefile ===
--- 
+++ 
@@ -13,6 +13,11 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <https://www.gnu.org/licenses/>.
 
+deb_build_parallel := $(filter parallel=%,$(DEB_BUILD_OPTIONS))
+ifdef deb_build_parallel
+  DEB_BUILD_OPTION_PARALLEL = $(patsubst parallel=%,%,$(deb_build_parallel))
+endif
+
 DEB_VERSION ?= $(shell dpkg-parsechangelog -SVersion)
 SOURCE_DATE_EPOCH ?= $(shell dpkg-parsechangelog -STimestamp)
 MAN_DATE := $(shell TZ=UTC0 LC_ALL=C date --date='@$(SOURCE_DATE_EPOCH)' '+%F')
@@ -22,6 +27,7 @@
 CHMOD = chmod
 POD2MAN = pod2man
 PROVE = prove
+PROVE_OPTS = $(DEB_BUILD_OPTION_PARALLEL:%=-j%)
 
 all: build
 
@@ -47,8 +53,11 @@
 	$(INSTALL) -d $(DESTDIR)/usr/share/man/man1
 	$(INSTALL) dpkg-repack.1 $(DESTDIR)/usr/share/man/man1
 
-test:
-	$(PROVE)
+check:
+	$(PROVE) $(PROVE_OPTS)
+
+authorcheck:
+	AUTHOR_TESTING=1 $(MAKE) check
 
 dist:
 	git archive \

=== debian/changelog ===
dpkg-repack (1.54) unstable; urgency=medium

  * Fix Conffiles field regex.

 -- Guillem Jover <guillem@debian.org>  Wed, 25 Sep 2024 03:59:06 +0200

dpkg-repack (1.53) unstable; urgency=medium

  * Build system:
    - Rename test target to check.
    - Pass -j to prove if DEB_BUILD_OPTIONS contains parallel=%.
    - Add an explicit authorcheck target.
  * Code internals:
    - Use parenthesis for non-builtin functions.
    - Do not use parenthesis for builtin functions.
    - Use m{} instead of // or m//.
    - Use character classes instead of escaping metacharacters.
    - Rename functions to decapitalize them and use more clear names.
    - Use q{} instead of ''.
    - Check close() return value.
    - Use q{} instead of '' for noisy quotes.
    - Update copyright years.
  * Packaging:
    - Switch to Standards-Version 4.7.0 (no changed needed).
    - Wrap and sort tests control file.
  * Test suite:
    - Do not interpolate literals.
    - Allow octal literals.
    - Disable perlcritic ErrorHandling::RequireCheckingReturnValueOfEval.

 -- Guillem Jover <guillem@debian.org>  Tue, 24 Sep 2024 19:56:56 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
 Uploaders: Guillem Jover <guillem@debian.org>
-Standards-Version: 4.6.2
 Vcs-Browser: https://git.dpkg.org/cgit/dpkg/dpkg-repack.git
 Vcs-Git: https://git.dpkg.org/git/dpkg/dpkg-repack.git
 Homepage: https://wiki.debian.org/Teams/Dpkg
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),

=== debian/tests/control ===
Tests:
 repack
Depends:
 @,
 fakeroot,

## dpkg-repack 1.54build1

=== debian/changelog ===
dpkg-repack (1.54build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Sat, 06 Dec 2025 10:44:03 +0100
